Bug 232132 - mail/imapfilter: Fix build with OpenSSL 1.1.x
Summary: mail/imapfilter: Fix build with OpenSSL 1.1.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL: https://github.com/lefcha/imapfilter/...
Keywords: needs-qa
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-09 22:11 UTC by Nathan
Modified: 2018-11-14 12:01 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bofh)
koobs: merge-quarterly?


Attachments
Fix OpenSSL 1.1.x build (1.74 KB, patch)
2018-10-09 22:11 UTC, Nathan
no flags Details | Diff
Fix OpenSSL 1.1.x build (1.16 KB, patch)
2018-10-11 01:19 UTC, Nathan
no flags Details | Diff
Fix OpenSSL 1.1.x build (1.48 KB, patch)
2018-10-11 01:20 UTC, Nathan
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-10-09 22:11:02 UTC
Created attachment 197981 [details]
Fix OpenSSL 1.1.x build
Comment 1 Nathan 2018-10-09 22:11:19 UTC
Comment on attachment 197981 [details]
Fix OpenSSL 1.1.x build

 mail/imapfilter: Fix OpenSSL build
 
 PR:             231931
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 2 Nathan 2018-10-10 06:57:35 UTC
Comment on attachment 197981 [details]
Fix OpenSSL 1.1.x build

Going to redo this one. There is parts I don’t remember deleting
Comment 3 Nathan 2018-10-11 01:19:18 UTC
Created attachment 198025 [details]
Fix OpenSSL 1.1.x build
Comment 4 Nathan 2018-10-11 01:20:13 UTC
Created attachment 198026 [details]
Fix OpenSSL 1.1.x build

Forgot to bump revision
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-14 04:28:23 UTC
Approved by: portmgr (maintainer timeout, > 1 month)

Open to take, pending QA.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2018-11-14 05:32:20 UTC
Comment on attachment 198026 [details]
Fix OpenSSL 1.1.x build

Approved by: portmgr (maintainer timeout, > 1 month)

Open to take, pending QA.
Comment 7 Tobias Kortkamp freebsd_committer 2018-11-14 11:06:44 UTC
Comment on attachment 198026 [details]
Fix OpenSSL 1.1.x build

The changes to patch-src_auth.c look wrong and will probably break
LibreSSL support.  I think it could be dropped entirely and the
OpenSSL 1.1.x / LibreSSL builds would work just fine.
Comment 8 commit-hook freebsd_committer 2018-11-14 11:59:46 UTC
A commit references this bug:

Author: tobik
Date: Wed Nov 14 11:59:42 UTC 2018
New revision: 484918
URL: https://svnweb.freebsd.org/changeset/ports/484918

Log:
  mail/imapfilter: Drop LibreSSL patch and unbreak build with OpenSSL 1.1.1

  The patch added in ports r435498 broke OpenSSL 1.1.x compatibility.
  A different fix for LibreSSL was committed upstream so the patch
  is no longer needed since imapfilter 2.6.11 [1].

  [1] https://github.com/lefcha/imapfilter/commit/c1865ba1ab2fd8da14e5e018ab55c79cbc432295

  PR:		232132
  Approved by:	bofh (maintainer timeout, 1 month)

Changes:
  head/mail/imapfilter/files/patch-src_auth.c
Comment 9 commit-hook freebsd_committer 2018-11-14 12:01:50 UTC
A commit references this bug:

Author: tobik
Date: Wed Nov 14 12:01:02 UTC 2018
New revision: 484919
URL: https://svnweb.freebsd.org/changeset/ports/484919

Log:
  MFH: r484918

  mail/imapfilter: Drop LibreSSL patch and unbreak build with OpenSSL 1.1.1

  The patch added in ports r435498 broke OpenSSL 1.1.x compatibility.
  A different fix for LibreSSL was committed upstream so the patch
  is no longer needed since imapfilter 2.6.11 [1].

  [1] https://github.com/lefcha/imapfilter/commit/c1865ba1ab2fd8da14e5e018ab55c79cbc432295

  PR:		232132
  Approved by:	bofh (maintainer timeout, 1 month)

  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q4/
  branches/2018Q4/mail/imapfilter/files/patch-src_auth.c